diff -uNr libdisasm_0.21-pre2/AUTHORS libdisasm_0.21-pre2-drb/AUTHORS
--- libdisasm_0.21-pre2/AUTHORS	1969-12-31 16:00:00.000000000 -0800
+++ libdisasm_0.21-pre2-drb/AUTHORS	2005-08-29 19:45:11.000000000 -0700
@@ -0,0 +1,7 @@
+mammon_, mere coder
+ReZiDeNt, Militant Dairy Activist (MIA)
+The Grugq, Chief Makefile Architect
+MO_K, MIA Libi386 Enthusiast (MIA)
+a_p, Invisible Tester
+fbj, Visible Tester (MIA)
+drb, Autoconf Junkie
diff -uNr libdisasm_0.21-pre2/autogen.sh libdisasm_0.21-pre2-drb/autogen.sh
--- libdisasm_0.21-pre2/autogen.sh	1969-12-31 16:00:00.000000000 -0800
+++ libdisasm_0.21-pre2-drb/autogen.sh	2005-08-29 19:45:11.000000000 -0700
@@ -0,0 +1,159 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+DIE=0
+
+if [ -n "$GNOME2_DIR" ]; then
+	ACLOCAL_FLAGS="-I $GNOME2_DIR/share/aclocal $ACLOCAL_FLAGS"
+	LD_LIBRARY_PATH="$GNOME2_DIR/lib:$LD_LIBRARY_PATH"
+	PATH="$GNOME2_DIR/bin:$PATH"
+	export PATH
+	export LD_LIBRARY_PATH
+fi
+
+(test -f $srcdir/configure.ac) || {
+    echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
+    echo " top-level package directory"
+    exit 1
+}
+
+(autoconf --version) < /dev/null > /dev/null 2>&1 || {
+  echo
+  echo "**Error**: You must have \`autoconf' installed."
+  echo "Download the appropriate package for your distribution,"
+  echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/"
+  DIE=1
+}
+
+(grep "^AC_PROG_INTLTOOL" $srcdir/configure.ac >/dev/null) && {
+  (intltoolize --version) < /dev/null > /dev/null 2>&1 || {
+    echo 
+    echo "**Error**: You must have \`intltool' installed."
+    echo "You can get it from:"
+    echo "  ftp://ftp.gnome.org/pub/GNOME/"
+    DIE=1
+  }
+}
+
+(grep "^AM_PROG_XML_I18N_TOOLS" $srcdir/configure.ac >/dev/null) && {
+  (xml-i18n-toolize --version) < /dev/null > /dev/null 2>&1 || {
+    echo
+    echo "**Error**: You must have \`xml-i18n-toolize' installed."
+    echo "You can get it from:"
+    echo "  ftp://ftp.gnome.org/pub/GNOME/"
+    DIE=1
+  }
+}
+
+(grep "^AM_PROG_LIBTOOL" $srcdir/configure.ac >/dev/null) && {
+  (libtool --version) < /dev/null > /dev/null 2>&1 || {
+    echo
+    echo "**Error**: You must have \`libtool' installed."
+    echo "You can get it from: ftp://ftp.gnu.org/pub/gnu/"
+    DIE=1
+  }
+}
+
+(grep "^AM_GLIB_GNU_GETTEXT" $srcdir/configure.ac >/dev/null) && {
+  (grep "sed.*POTFILES" $srcdir/configure.ac) > /dev/null || \
+  (glib-gettextize --version) < /dev/null > /dev/null 2>&1 || {
+    echo
+    echo "**Error**: You must have \`glib' installed."
+    echo "You can get it from: ftp://ftp.gtk.org/pub/gtk"
+    DIE=1
+  }
+}
+
+(automake --version) < /dev/null > /dev/null 2>&1 || {
+  echo
+  echo "**Error**: You must have \`automake' installed."
+  echo "You can get it from: ftp://ftp.gnu.org/pub/gnu/"
+  DIE=1
+  NO_AUTOMAKE=yes
+}
+
+
+# if no automake, don't bother testing for aclocal
+test -n "$NO_AUTOMAKE" || (aclocal --version) < /dev/null > /dev/null 2>&1 || {
+  echo
+  echo "**Error**: Missing \`aclocal'.  The version of \`automake'"
+  echo "installed doesn't appear recent enough."
+  echo "You can get automake from ftp://ftp.gnu.org/pub/gnu/"
+  DIE=1
+}
+
+if test "$DIE" -eq 1; then
+  exit 1
+fi
+
+if test -z "$*"; then
+  echo "**Warning**: I am going to run \`configure' with no arguments."
+  echo "If you wish to pass any to it, please specify them on the"
+  echo \`$0\'" command line."
+  echo
+fi
+
+case $CC in
+xlc )
+  am_opt=--include-deps;;
+esac
+
+for coin in `find $srcdir -path $srcdir/CVS -prune -o -name configure.ac -print`
+do 
+  dr=`dirname $coin`
+  if test -f $dr/NO-AUTO-GEN; then
+    echo skipping $dr -- flagged as no auto-gen
+  else
+    echo processing $dr
+    ( cd $dr
+
+      aclocalinclude="$ACLOCAL_FLAGS"
+
+      if grep "^AM_GLIB_GNU_GETTEXT" configure.ac >/dev/null; then
+	echo "Creating $dr/aclocal.m4 ..."
+	test -r $dr/aclocal.m4 || touch $dr/aclocal.m4
+	echo "Running glib-gettextize...  Ignore non-fatal messages."
+	echo "no" | glib-gettextize --force --copy
+	echo "Making $dr/aclocal.m4 writable ..."
+	test -r $dr/aclocal.m4 && chmod u+w $dr/aclocal.m4
+      fi
+      if grep "^AC_PROG_INTLTOOL" configure.ac >/dev/null; then
+        echo "Running intltoolize..."
+	intltoolize --copy --force --automake
+      fi
+      if grep "^AM_PROG_XML_I18N_TOOLS" configure.ac >/dev/null; then
+        echo "Running xml-i18n-toolize..."
+	xml-i18n-toolize --copy --force --automake
+      fi
+      if grep "^AM_PROG_LIBTOOL" configure.ac >/dev/null; then
+	if test -z "$NO_LIBTOOLIZE" ; then 
+	  echo "Running libtoolize..."
+	  libtoolize --force --copy
+	fi
+      fi
+      echo "Running aclocal $aclocalinclude ..."
+      aclocal $aclocalinclude
+      if grep "^AM_CONFIG_HEADER" configure.ac >/dev/null; then
+	echo "Running autoheader..."
+	autoheader
+      fi
+      echo "Running automake --gnu $am_opt ..."
+      automake --add-missing --gnu $am_opt
+      echo "Running autoconf ..."
+      autoconf
+    )
+  fi
+done
+
+conf_flags="--enable-maintainer-mode"
+
+if test x$NOCONFIGURE = x; then
+  echo Running $srcdir/configure $conf_flags "$@" ...
+  $srcdir/configure $conf_flags "$@" \
+  && echo Now type \`make\' to compile. || exit 1
+else
+  echo Skipping configure process.
+fi
diff -uNr libdisasm_0.21-pre2/configure.ac libdisasm_0.21-pre2-drb/configure.ac
--- libdisasm_0.21-pre2/configure.ac	1969-12-31 16:00:00.000000000 -0800
+++ libdisasm_0.21-pre2-drb/configure.ac	2005-08-29 19:45:18.000000000 -0700
@@ -0,0 +1,42 @@
+dnl Process this file with autoconf to produce a configure script.
+AC_PREREQ(2.53)
+AC_INIT(disasm, 0.21-pre2, mammon_@users.sourceforge.net, disasm)
+AC_CONFIG_SRCDIR(libdisasm/x86_disasm.c)
+AM_INIT_AUTOMAKE
+
+AM_CONFIG_HEADER(config.h)
+AM_MAINTAINER_MODE
+
+AC_CANONICAL_HOST
+AC_ISC_POSIX
+AC_PROG_CC
+AM_PROG_CC_STDC
+
+AC_CACHE_SAVE
+
+AC_HEADER_STDC
+
+AM_PROG_LIBTOOL
+
+AC_CACHE_SAVE
+
+dnl Use -Wall if we have gcc.
+if test "x$GCC" = "xyes"; then
+  case " $CFLAGS " in
+  *\ -Wall\ *) ;;
+  *) CFLAGS="$CFLAGS -Wall -ggdb" ;;
+  esac
+fi
+
+AC_CONFIG_FILES([
+Makefile
+libdisasm/Makefile
+x86dis/Makefile
+test/Makefile
+doc/Makefile
+man/Makefile
+perl/Makefile
+])
+
+AC_OUTPUT
+
diff -uNr libdisasm_0.21-pre2/COPYING libdisasm_0.21-pre2-drb/COPYING
--- libdisasm_0.21-pre2/COPYING	1969-12-31 16:00:00.000000000 -0800
+++ libdisasm_0.21-pre2-drb/COPYING	2005-08-29 19:45:11.000000000 -0700
@@ -0,0 +1 @@
+See the "LICENSE" file.
diff -uNr libdisasm_0.21-pre2/doc/Makefile.am libdisasm_0.21-pre2-drb/doc/Makefile.am
--- libdisasm_0.21-pre2/doc/Makefile.am	1969-12-31 16:00:00.000000000 -0800
+++ libdisasm_0.21-pre2-drb/doc/Makefile.am	2005-08-29 19:45:11.000000000 -0700
@@ -0,0 +1,2 @@
+EXTRADIST = \
+	libdisasm.txt
diff -uNr libdisasm_0.21-pre2/INSTALL libdisasm_0.21-pre2-drb/INSTALL
--- libdisasm_0.21-pre2/INSTALL	1969-12-31 16:00:00.000000000 -0800
+++ libdisasm_0.21-pre2-drb/INSTALL	2005-08-29 19:45:11.000000000 -0700
@@ -0,0 +1,229 @@
+Copyright (C) 1994, 1995, 1996, 1999, 2000, 2001, 2002 Free Software
+Foundation, Inc.
+
+   This file is free documentation; the Free Software Foundation gives
+unlimited permission to copy, distribute and modify it.
+
+Basic Installation
+==================
+
+   These are generic installation instructions.
+
+   The `configure' shell script attempts to guess correct values for
+various system-dependent variables used during compilation.  It uses
+those values to create a `Makefile' in each directory of the package.
+It may also create one or more `.h' files containing system-dependent
+definitions.  Finally, it creates a shell script `config.status' that
+you can run in the future to recreate the current configuration, and a
+file `config.log' containing compiler output (useful mainly for
+debugging `configure').
+
+   It can also use an optional file (typically called `config.cache'
+and enabled with `--cache-file=config.cache' or simply `-C') that saves
+the results of its tests to speed up reconfiguring.  (Caching is
+disabled by default to prevent problems with accidental use of stale
+cache files.)
+
+   If you need to do unusual things to compile the package, please try
+to figure out how `configure' could check whether to do them, and mail
+diffs or instructions to the address given in the `README' so they can
+be considered for the next release.  If you are using the cache, and at
+some point `config.cache' contains results you don't want to keep, you
+may remove or edit it.
+
+   The file `configure.ac' (or `configure.in') is used to create
+`configure' by a program called `autoconf'.  You only need
+`configure.ac' if you want to change it or regenerate `configure' using
+a newer version of `autoconf'.
+
+The simplest way to compile this package is:
+
+  1. `cd' to the directory containing the package's source code and type
+     `./configure' to configure the package for your system.  If you're
+     using `csh' on an old version of System V, you might need to type
+     `sh ./configure' instead to prevent `csh' from trying to execute
+     `configure' itself.
+
+     Running `configure' takes awhile.  While running, it prints some
+     messages telling which features it is checking for.
+
+  2. Type `make' to compile the package.
+
+  3. Optionally, type `make check' to run any self-tests that come with
+     the package.
+
+  4. Type `make install' to install the programs and any data files and
+     documentation.
+
+  5. You can remove the program binaries and object files from the
+     source code directory by typing `make clean'.  To also remove the
+     files that `configure' created (so you can compile the package for
+     a different kind of computer), type `make distclean'.  There is
+     also a `make maintainer-clean' target, but that is intended mainly
+     for the package's developers.  If you use it, you may have to get
+     all sorts of other programs in order to regenerate files that came
+     with the distribution.
+
+Compilers and Options
+=====================
+
+   Some systems require unusual options for compilation or linking that
+the `configure' script does not know about.  Run `./configure --help'
+for details on some of the pertinent environment variables.
+
+   You can give `configure' initial values for configuration parameters
+by setting variables in the command line or in the environment.  Here
+is an example:
+
+     ./configure CC=c89 CFLAGS=-O2 LIBS=-lposix
+
+   *Note Defining Variables::, for more details.
+
+Compiling For Multiple Architectures
+====================================
+
+   You can compile the package for more than one kind of computer at the
+same time, by placing the object files for each architecture in their
+own directory.  To do this, you must use a version of `make' that
+supports the `VPATH' variable, such as GNU `make'.  `cd' to the
+directory where you want the object files and executables to go and run
+the `configure' script.  `configure' automatically checks for the
+source code in the directory that `configure' is in and in `..'.
+
+   If you have to use a `make' that does not support the `VPATH'
+variable, you have to compile the package for one architecture at a
+time in the source code directory.  After you have installed the
+package for one architecture, use `make distclean' before reconfiguring
+for another architecture.
+
+Installation Names
+==================
+
+   By default, `make install' will install the package's files in
+`/usr/local/bin', `/usr/local/man', etc.  You can specify an
+installation prefix other than `/usr/local' by giving `configure' the
+option `--prefix=PATH'.
+
+   You can specify separate installation prefixes for
+architecture-specific files and architecture-independent files.  If you
+give `configure' the option `--exec-prefix=PATH', the package will use
+PATH as the prefix for installing programs and libraries.
+Documentation and other data files will still use the regular prefix.
+
+   In addition, if you use an unusual directory layout you can give
+options like `--bindir=PATH' to specify different values for particular
+kinds of files.  Run `configure --help' for a list of the directories
+you can set and what kinds of files go in them.
+
+   If the package supports it, you can cause programs to be installed
+with an extra prefix or suffix on their names by giving `configure' the
+option `--program-prefix=PREFIX' or `--program-suffix=SUFFIX'.
+
+Optional Features
+=================
+
+   Some packages pay attention to `--enable-FEATURE' options to
+`configure', where FEATURE indicates an optional part of the package.
+They may also pay attention to `--with-PACKAGE' options, where PACKAGE
+is something like `gnu-as' or `x' (for the X Window System).  The
+`README' should mention any `--enable-' and `--with-' options that the
+package recognizes.
+
+   For packages that use the X Window System, `configure' can usually
+find the X include and library files automatically, but if it doesn't,
+you can use the `configure' options `--x-includes=DIR' and
+`--x-libraries=DIR' to specify their locations.
+
+Specifying the System Type
+==========================
+
+   There may be some features `configure' cannot figure out
+automatically, but needs to determine by the type of machine the package
+will run on.  Usually, assuming the package is built to be run on the
+_same_ architectures, `configure' can figure that out, but if it prints
+a message saying it cannot guess the machine type, give it the
+`--build=TYPE' option.  TYPE can either be a short name for the system
+type, such as `sun4', or a canonical name which has the form:
+
+     CPU-COMPANY-SYSTEM
+
+where SYSTEM can have one of these forms:
+
+     OS KERNEL-OS
+
+   See the file `config.sub' for the possible values of each field.  If
+`config.sub' isn't included in this package, then this package doesn't
+need to know the machine type.
+
+   If you are _building_ compiler tools for cross-compiling, you should
+use the `--target=TYPE' option to select the type of system they will
+produce code for.
+
+   If you want to _use_ a cross compiler, that generates code for a
+platform different from the build platform, you should specify the
+"host" platform (i.e., that on which the generated programs will
+eventually be run) with `--host=TYPE'.
+
+Sharing Defaults
+================
+
+   If you want to set default values for `configure' scripts to share,
+you can create a site shell script called `config.site' that gives
+default values for variables like `CC', `cache_file', and `prefix'.
+`configure' looks for `PREFIX/share/config.site' if it exists, then
+`PREFIX/etc/config.site' if it exists.  Or, you can set the
+`CONFIG_SITE' environment variable to the location of the site script.
+A warning: not all `configure' scripts look for a site script.
+
+Defining Variables
+==================
+
+   Variables not defined in a site shell script can be set in the
+environment passed to `configure'.  However, some packages may run
+configure again during the build, and the customized values of these
+variables may be lost.  In order to avoid this problem, you should set
+them in the `configure' command line, using `VAR=value'.  For example:
+
+     ./configure CC=/usr/local2/bin/gcc
+
+will cause the specified gcc to be used as the C compiler (unless it is
+overridden in the site shell script).
+
+`configure' Invocation
+======================
+
+   `configure' recognizes the following options to control how it
+operates.
+
+`--help'
+`-h'
+     Print a summary of the options to `configure', and exit.
+
+`--version'
+`-V'
+     Print the version of Autoconf used to generate the `configure'
+     script, and exit.
+
+`--cache-file=FILE'
+     Enable the cache: use and save the results of the tests in FILE,
+     traditionally `config.cache'.  FILE defaults to `/dev/null' to
+     disable caching.
+
+`--config-cache'
+`-C'
+     Alias for `--cache-file=config.cache'.
+
+`--quiet'
+`--silent'
+`-q'
+     Do not print messages saying which checks are being made.  To
+     suppress all normal output, redirect it to `/dev/null' (any error
+     messages will still be shown).
+
+`--srcdir=DIR'
+     Look for the package's source code in directory DIR.  Usually
+     `configure' can determine that directory automatically.
+
+`configure' also accepts some other, not widely useful, options.  Run
+`configure --help' for more details.
+
diff -uNr libdisasm_0.21-pre2/libdisasm/Makefile.am libdisasm_0.21-pre2-drb/libdisasm/Makefile.am
--- libdisasm_0.21-pre2/libdisasm/Makefile.am	1969-12-31 16:00:00.000000000 -0800
+++ libdisasm_0.21-pre2-drb/libdisasm/Makefile.am	2005-08-29 19:45:11.000000000 -0700
@@ -0,0 +1,37 @@
+include_HEADERS = libdis.h
+lib_LTLIBRARIES = libdisasm.la
+libdisasm_la_SOURCES = \
+	ia32_fixup.c \
+	ia32_implicit.c \
+	ia32_implicit.h \
+	ia32_insn.c \
+	ia32_insn.h \
+	ia32_invariant.c \
+	ia32_invariant.h \
+	ia32_modrm.c \
+	ia32_modrm.h \
+	ia32_opcode_tables.c \
+	ia32_opcode_tables.h \
+	ia32_operand.c \
+	ia32_operand.h \
+	ia32_reg.c \
+	ia32_reg.h \
+	ia32_settings.c \
+	ia32_settings.h \
+	libdis.h \
+	qword.h \
+	x86_disasm.c \
+	x86_format.c \
+	x86_imm.c \
+	x86_imm.h \
+	x86_insn.c \
+	x86_misc.c \
+	x86_operand_list.c \
+	x86_operand_list.h
+
+EXTRA_DIST = \
+	libdisasm2.vcproj \
+	libdisasm.vcproj \
+	libdisasm.dsp \
+	libdisasm.txt
+
diff -uNr libdisasm_0.21-pre2/Makefile.am libdisasm_0.21-pre2-drb/Makefile.am
--- libdisasm_0.21-pre2/Makefile.am	1969-12-31 16:00:00.000000000 -0800
+++ libdisasm_0.21-pre2-drb/Makefile.am	2005-08-29 19:45:21.000000000 -0700
@@ -0,0 +1,4 @@
+SUBDIRS = libdisasm x86dis test doc man perl
+
+EXTRA_DIST = \
+	autogen.sh
diff -uNr libdisasm_0.21-pre2/man/Makefile.am libdisasm_0.21-pre2-drb/man/Makefile.am
--- libdisasm_0.21-pre2/man/Makefile.am	1969-12-31 16:00:00.000000000 -0800
+++ libdisasm_0.21-pre2-drb/man/Makefile.am	2005-08-29 19:45:11.000000000 -0700
@@ -0,0 +1,8 @@
+man_MANS = \
+	libdisasm.7 \
+	x86dis.1 \
+	x86_disasm.3 \
+	x86_format_insn.3 \
+	x86_init.3
+
+EXTRA_DIST = $(man_MANS)
diff -uNr libdisasm_0.21-pre2/perl/Makefile.am libdisasm_0.21-pre2-drb/perl/Makefile.am
--- libdisasm_0.21-pre2/perl/Makefile.am	1969-12-31 16:00:00.000000000 -0800
+++ libdisasm_0.21-pre2-drb/perl/Makefile.am	2005-08-29 19:44:55.000000000 -0700
@@ -0,0 +1,6 @@
+EXTRA_DIST = \
+	bin_from_dump.pl \
+	build_opcode_map.pl \
+	modify_opcode_map.pl \
+	x86disasm.pl
+
diff -uNr libdisasm_0.21-pre2/README libdisasm_0.21-pre2-drb/README
--- libdisasm_0.21-pre2/README	2005-05-17 19:39:28.000000000 -0700
+++ libdisasm_0.21-pre2-drb/README	2005-08-29 19:45:11.000000000 -0700
@@ -14,12 +14,11 @@
 file.
 
 The library and the x86dis program can be
-built by typing 'make' in the top-level
-directory.
+built by typing in the top-level directory:
 
-Advanced make options like 'install',
-'distrib', and 'uninstall' are not
-supported.
+  ./configure
+  make
+  make install
 
 The disassembler has been tested against
 the instructions in ia32_test_insn.S . 
diff -uNr libdisasm_0.21-pre2/test/Makefile.am libdisasm_0.21-pre2-drb/test/Makefile.am
--- libdisasm_0.21-pre2/test/Makefile.am	1969-12-31 16:00:00.000000000 -0800
+++ libdisasm_0.21-pre2-drb/test/Makefile.am	2005-08-29 19:45:11.000000000 -0700
@@ -0,0 +1,21 @@
+# Comment this in once the disassembly matches up again
+#TESTS = \
+#        test_x86dis.pl
+
+EXTRA_DIST = \
+	test_x86dis.pl \
+	ia32_test_insn.S
+
+check_PROGRAMS = \
+	testdis \
+	quikdis
+
+testdis_SOURCES = \
+	testdis.c
+testdis_LDADD = \
+	$(top_builddir)/libdisasm/libdisasm.la
+
+quikdis_SOURCES = \
+	quikdis.c
+quikdis_LDADD = \
+	$(top_builddir)/libdisasm/libdisasm.la
diff -uNr libdisasm_0.21-pre2/test/test_x86dis.pl libdisasm_0.21-pre2-drb/test/test_x86dis.pl
--- libdisasm_0.21-pre2/test/test_x86dis.pl	2005-05-17 19:30:05.000000000 -0700
+++ libdisasm_0.21-pre2-drb/test/test_x86dis.pl	2005-08-29 19:45:11.000000000 -0700
@@ -5,6 +5,8 @@
 # generated by libdisasm) against what GNU as(1) expects.
 # NOTE: this script expects to be run from $LIBDISASM/libdisasm/test
 # and uses the instructions in ia32_test_insn.S to test disassembly.
+use warnings;
+use strict;
 
 # assembler settings
 my $asm_file = 'ia32_test_insn.S';
@@ -14,7 +16,9 @@
 
 # relative path, ld_library_path for running x86dis from compile dir
 my $x86dis = '../x86dis/x86dis';
-my $ldpath = 'LD_LIBRARY_PATH="../libdisasm"';
+# path is not needed now that libtool is being used
+#my $ldpath = 'LD_LIBRARY_PATH="../libdisasm"';
+my $ldpath = '';
 my $x86dis_opt_str = "-f $obj_file -s att -r %d %d";
 
 # uninitialized stuff
@@ -38,6 +42,7 @@
 $as =~ s/\n//g;
 print "## assemble asm file: $as -o $obj_file $asm_file\n";
 system "$as -o $obj_file $asm_file";
+exit(1) if ($? != 0);
 
 print "## stat obj file $obj_file\n";
 ($dev,$ino,$mode,$nlink,$uid,$gid,$rdev,$size,$jnk) = stat $obj_file;
@@ -45,6 +50,7 @@
 
 print "## disasm obj file: $ldpath $x86dis $x86dis_opts\n";
 $output = `$ldpath $x86dis $x86dis_opts`;
+exit(1) if ($? != 0);
 
 foreach ( split /\n/, $output ) {
 	chomp;
@@ -59,6 +65,7 @@
 	push @disasm_lines, $line;
 }
 
+my $status = 0;
 for ( $i = 0; $i <= $#disasm_lines and $i <= $#asm_lines; $i = $i + 1 ) {
 	if ( $disasm_lines[$i] ne $asm_lines[$i] ) {
 		# check if this is a jump or call, in which case
@@ -73,5 +80,7 @@
 
 		print "ERROR: orig '$asm_lines[$i]'\n";
 		print "       dis  '$disasm_lines[$i]' BYTES $bytes[$i]\n";
+        $status = 1;
 	}
 }
+exit($status);
diff -uNr libdisasm_0.21-pre2/x86dis/Makefile.am libdisasm_0.21-pre2-drb/x86dis/Makefile.am
--- libdisasm_0.21-pre2/x86dis/Makefile.am	1969-12-31 16:00:00.000000000 -0800
+++ libdisasm_0.21-pre2-drb/x86dis/Makefile.am	2005-08-29 19:45:11.000000000 -0700
@@ -0,0 +1,7 @@
+INCLUDES = \
+        -I$(top_srcdir)/libdisasm
+
+bin_PROGRAMS = x86dis
+x86dis_SOURCES = \
+	x86dis.c
+x86dis_LDADD = $(top_builddir)/libdisasm/libdisasm.la
diff -uNr libdisasm_0.21-pre2/x86dis/x86dis.c libdisasm_0.21-pre2-drb/x86dis/x86dis.c
--- libdisasm_0.21-pre2/x86dis/x86dis.c	2005-05-17 19:30:05.000000000 -0700
+++ libdisasm_0.21-pre2-drb/x86dis/x86dis.c	2005-08-29 19:45:11.000000000 -0700
@@ -11,6 +11,10 @@
               [-v|--version]
 */
 
+#ifdef HAVE_CONFIG_H
+# include "config.h"
+#endif
+
 #include <errno.h>
 #include <fcntl.h>
 #include <stdlib.h>
@@ -24,6 +28,7 @@
 #include <libdis.h>
 
 
+
 #define LIBDISASM_URL 		"http://bastard.sourceforge.net"
 #define STDIN_PAGE_SIZE 	524288	/* 512 K */
 
@@ -349,7 +354,7 @@
 			/* advance the stream to request offset */
 			fread( buf, size, 1, stdin );
 			pos += size;
-			if ( feof ) {
+			if ( feof(stdin) ) {
 				/* some kind of feedback here */
 				break;
 			}
@@ -516,8 +521,8 @@
 }
 
 static void do_version(char *name) {
-	printf("%s %.2f Distributed with libdisasm from %s\n", 
-			name, X86DIS_VERSION, LIBDISASM_URL);
+	printf("%s %s Distributed with libdisasm from %s\n", 
+			name, PACKAGE_VERSION, LIBDISASM_URL);
 }
 static void do_help(char *name) {
 	printf( "Usage: %s -aresfoldpLNhv\n"
